cURL
curl --request PATCH \
--url https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"content":[{"type":"p","value":null,"children":[{"type":"span","value":"string"}]}]}'comment
Patch comment
update record comment
PATCH
/
comment
/
{tableId}
/
{recordId}
/
{commentId}
cURL
curl --request PATCH \
--url https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"content":[{"type":"p","value":null,"children":[{"type":"span","value":"string"}]}]}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
200
Successfully update comment.
Last modified on March 5, 2026
Was this page helpful?
⌘I

